package Mason::Plugin::HTMLStringFilters::t::Basic;
{
  $Mason::Plugin::HTMLStringFilters::t::Basic::VERSION = '0.132630';
}
use Test::Class::Most parent => 'Mason::Test::Class';

sub test_html_filters : Test(10) {
    my $self = shift;
    $self->setup_interp( plugins => [ '@Default', 'HTMLStringFilters' ] );

    # HTMLFilters
    $self->test_comp( src => '<% "<a>" | HTML %>',         expect => '&lt;a&gt;' );
    $self->test_comp( src => '<% "/foo/bar?a=5" | URI %>', expect => '%2Ffoo%2Fbar%3Fa%3D5' );
    $self->test_comp(
        src    => '<% "First\n\nSecond\n\nThird\n\n" | HTMLPara %>',
        expect => "<p>\nFirst\n</p>\n\n<p>\nSecond\n</p>\n\n<p>\nThird</p>\n"
    );
    $self->test_comp(
        src    => '<% "First\n\nSecond\n\nThird\n\n" | NoBlankLines,HTMLPara %>',
        expect => "<p>\nFirst\n</p>\n<p>\nSecond\n</p>\n<p>\nThird</p>\n"
    );
    $self->test_comp(
        src    => '<% "First\n\nSecond\n\nThird\n\n" | HTMLParaBreak %>',
        expect => "First\n<br />\n<br />\nSecond\n<br />\n<br />\nThird\n<br />\n<br />\n",
    );

    # HTMLStringFilters
    my $head = '<%class>use HTML::String;</%class>';
    $self->test_comp( src => $head.'<% html("<a>") | HTML %>',         expect => '<a>' );
    $self->test_comp( src => $head.'<% html("/foo/bar?a=5") | URI %>', expect => '%2Ffoo%2Fbar%3Fa%3D5' );
    $self->test_comp(
        src    => $head.'<% html("First\n\nSecond\n\nThird\n\n") | HTMLPara %>',
        expect => "<p>\nFirst\n</p>\n\n<p>\nSecond\n</p>\n\n<p>\nThird</p>\n"
    );
    $self->test_comp(
        src    => $head.'<% html("First\n\nSecond\n\nThird\n\n") | NoBlankLines,HTMLPara %>',
        expect => "<p>\nFirst\n</p>\n<p>\nSecond\n</p>\n<p>\nThird</p>\n"
    );
    $self->test_comp(
        src    => $head.'<% html("First\n\nSecond\n\nThird\n\n") | HTMLParaBreak %>',
        expect => "First\n<br />\n<br />\nSecond\n<br />\n<br />\nThird\n<br />\n<br />\n",
    );
}

1;

__END__

=pod

=head1 VERSION

version 0.132630

=head1 AUTHOR

Tomohiro Hosaka <bokutin@bokut.in>

=head1 COPYRIGHT AND LICENSE

This software is copyright (c) 2013 by Tomohiro Hosaka.  No
license is granted to other entities.

=cut
